<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_nota_venta = $_GET["cnt"];
//var_dump($id_nota_venta);
include("../conex.php");
		
$sql_scero = "UPDATE salida SET rut_cliente = '00.000.000-0', exento=0, neto=0, iva=0, impuestos=0, total=0, iva_retenido=0, documento_control=null WHERE id = $id_nota_venta";
$res= mysql_query($sql_scero,$enlace);

$sql_bstock = "SELECT * FROM movimiento WHERE id_soe=$id_nota_venta AND entrada_salida_traspaso = 'S'";
$res_bstock = mysql_query($sql_bstock, $enlace);
$cont_bstock = 0;
while ( mysql_fetch_object($res_bstock))
	{
	$cod_prod = mysql_result($res_bstock, $cont_bstock, "cod_producto");
	$cant_prod = mysql_result($res_bstock, $cont_bstock, "cantidad");
	
	$sql_ustock = "UPDATE productos SET saldo=(saldo+$cant_prod), u_salida=(u_salida-$cant_prod) WHERE codigo = $cod_prod";
	$res_ustock = mysql_query($sql_ustock, $enlace);
	$cont_bstock+=1;
	}


$sql_mcero = "UPDATE movimiento SET rut = '00.000.000-0', cod_producto=0, cantidad=0, precio_unitario=0, descuentos=0, sub_total=0 WHERE id_soe =$id_nota_venta AND entrada_salida_traspaso='S' ";
$res= mysql_query($sql_mcero,$enlace);		
	
?>

<script>
	alert("Se ha anulado la nota de venta");
	window.top.open('','_parent','')
</script>
